Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7563 - installer upgrade doesn't recognize existing linux partitions
Summary: installer upgrade doesn't recognize existing linux partitions
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-03 19:13 UTC by rzdroj
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-15 20:16:55 UTC


Attachments (Terms of Use)

Description rzdroj 1999-12-03 19:13:27 UTC
Using 6.1 installer and booting from boot-RHEA-1999:044.img and
updates-RHEA-1999:045.img on a Gateway GP6-450, the installer does not
recognize any existing linux partitions when I try to upgrade. The
partitions are recognized for a new install. This occurs when the existing
system is either 6.0 or 6.1. The problem did not occur when installing on a
Gateway Solo 9100 laptop.

Comment 1 Jay Turner 1999-12-06 13:24:59 UTC
Please send me a copy of your /etc/fstab as well as output from "fdisk -l
hd[a-h]"

There are known bugs in the installer with being able to see into an Win98
extended partition (partition of type "f")  The workaround is to change the
partition to type "5" for the duration of the upgrade and then change it back
after the upgrade is complete.  We are also planning on releasing a new errata
image here shortly which will include this as a fix.

------- Email Received From  Ron Z <rzdroj@mail.lm.com> 12/06/99 13:52 -------

Comment 2 Jay Turner 2000-02-09 14:46:59 UTC
This problem is a result of the type 85 linux extended partition that you have.
The installer is not able to see inside that partition, and hence is telling you
that it cannot find anything to upgrade.  This code should be in installer in
the next release.

Comment 3 Jay Turner 2000-02-15 20:16:59 UTC
Will be resolved in the next cut of the beta.


Note You need to log in before you can comment on or make changes to this bug.